pw_metadata_methods Struct Reference
Extensions » Metadata

Metadata methods More...

## Data Fields

uint32_t | version
int(* | add_listener )(void *object, struct spa_hook *listener, const struct pw_metadata_events *events, void *data)
int(* | set_property )(void *object, uint32_t subject, const char *key, const char *type, const char *value)
int(* | clear )(void *object)

## Detailed Description

Metadata methods

## Field Documentation

## version

uint32_t pw_metadata_methods::version

## add_listener

int(* pw_metadata_methods::add_listener) (void *object, struct spa_hook *listener, const struct pw_metadata_events *events, void *data)

## set_property

int(* pw_metadata_methods::set_property) (void *object, uint32_t subject, const char *key, const char *type, const char *value)

## clear

int(* pw_metadata_methods::clear) (void *object)

The documentation for this struct was generated from the following file:

- pipewire/extensions/metadata.h